package cn.sh.stc.sict.theme.hphy.service.impl;

import cn.sh.stc.sict.theme.hphy.dao.HpAppointmentMapper;
import cn.sh.stc.sict.theme.hphy.dao.HpStatisticsMapper;
import cn.sh.stc.sict.theme.hphy.dao.HphyPatientBaseMapper;
import cn.sh.stc.sict.theme.hphy.model.HphyPatientBase;
import cn.sh.stc.sict.theme.hphy.service.HpStatisticsService;
import cn.sh.stc.sict.theme.hphy.vo.StatisticsUsageVO;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 黄埔医导用户使用情况查询
 *
 * @author gao
 * @date 2023/01/06 11:04
 */
@Service("hpStatisticsService")
@AllArgsConstructor
public class HpStatisticsServiceImpl implements HpStatisticsService {

    @Autowired
    private final HpStatisticsMapper hpStatisticsMapper;

    @Autowired
    private final HpAppointmentMapper hpAppointmentMapper;

    /**
     * 获取使用情况概览统计信息
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return
     */
    @Override
    public StatisticsUsageVO getUsageOverviewStatistics(String startTime, String endTime) {

        Long loginUserCount = hpStatisticsMapper.countLoginUser(startTime, endTime);
        Long newUserCount = hpStatisticsMapper.countNewUser(startTime, endTime);
        List<StatisticsUsageVO.HosUsageStatistics> hosUsageStatisticsList = hpStatisticsMapper.queryAppointmentUserGroupByHos(startTime, endTime);

        return StatisticsUsageVO.builder().newUserCount(newUserCount).loginUserCount(loginUserCount).hosAppointmentStatistics(hosUsageStatisticsList).build();
    }
}
