package cn.sh.stc.sict.theme.hphy.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 统计用户使用详情
 *
 * @author gao
 * @date 2023/01/06 10:58
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public class StatisticsUsageVO implements Serializable {

    private static final long serialVersionUID = -279866011612238581L;

    @ApiModelProperty(value = "登录总人数")
    private Long loginUserCount;

    @ApiModelProperty(value = "新增用户总人数")
    private Long newUserCount;

    @ApiModelProperty(value = "医院预约人数")
    private List<HosUsageStatistics> hosAppointmentStatistics;

    @Data
    public static class HosUsageStatistics implements Serializable {
        private static final long serialVersionUID = -1088663393589514198L;

        @ApiModelProperty(value = "医院编码")
        private String hospitalCode;

        @ApiModelProperty(value = "医院名称")
        private String hospitalName;

        @ApiModelProperty(value = "医院预约人数")
        private Long appointmentUserCount;
    }
}
